:root {
    --page-1-color : steelblue;
    --page-2-color : tan;
    --page-3-color : teal;
    --page-4-color : slateblue;
    --animate-speed : 0.5s;
}

body {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    line-height: 1.4;
    color: #fff;
    margin: 0;
    padding: 0;
    overflow: hidden;
}

#page-1 { background-color: var(--page-1-color);}
#page-2 { background-color: var(--page-2-color);}
#page-3 { background-color: var(--page-3-color);}
#page-4 { background-color: var(--page-4-color);}

.page {
    display: flex;
    flex-direction: column;
    height: 100vh;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 0 4rem;
}

.page h1 {
    font-size: 4rem;
    line-height: 1.2;
    margin: 1rem;
    transition: all 0.3s ease-in;
}

.page p {
    font-size: 1.3rem;
    transition: all 0.3s ease-in;
}

.btn {
    display: inline-block;
    padding: 1rem 2rem;
    background-color: #f3f3f3;
    color: #333;
    text-decoration: none;
    border: none;
    margin-top: 1rem;
    font-size: 1.1rem;
    transition: all 0.1s ease-in;
}

.btn:hover {
    background-color: #333;
    color: #f3f3f3;
}

.btn-dark {
    display: inline-block;
    padding: 1rem 2rem;
    background-color: #333;
    color: #f3f3f3;
    text-decoration: none;
    border: none;
    margin-top: 1rem;
    font-size: 1.1rem;
    transition: all 0.1s ease-in;
}

.btn-dark:hover {
    background-color: #f3f3f3;
    color: #333;
}

/* Page Animation */
#page-1 h1 {
    transform: translateY(-1200px);
    animation: heading var(--animate-speed) forwards ease-in;
}

#page-1 p {
    transform: translateX(1800x);
    animation : text var(--animate-speed) forwards ease-in;
}

@keyframes heading {
    to {
        transform: translateY(0);
    }
}

@keyframes text {
    to {
        transform:translateX(0);
    }
}